
TYPO3.Flow - Bug # 30858

Status: Resolved Priority: Must have
Author: Christian Müller Category:
Created: 2011-10-12 Assigned To: Christian Müller
Updated: 2011-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Proxy Class Builder ignores optional arguments with NULL default
Description

Associated revisions
Revision 81758699 - 2011-10-13 14:49 - Christian Müller

[BUGFIX] Proxy Class Builder should work with NULL default

Optional arguments with NULL default value will now be correctly
autowired in the proxy class. Therefor optional arguments after
a default NULL will be correctly handled.

Change-Id: I268e5f90ac815edadfe5b49cbc779697ea51a5f5
Resolves: #30858

History
#1 - 2011-10-12 20:39 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I268e5f90ac815edadfe5b49cbc779697ea51a5f5 has been pushed to the review server.
It is available at http://review.typo3.org/5747

#2 - 2011-10-12 23:04 - Mr. Hudson

Patch set 2 of change I268e5f90ac815edadfe5b49cbc779697ea51a5f5 has been pushed to the review server.
It is available at http://review.typo3.org/5747

#3 - 2011-10-13 08:54 - Mr. Hudson

Patch set 3 of change I268e5f90ac815edadfe5b49cbc779697ea51a5f5 has been pushed to the review server.
It is available at http://review.typo3.org/5747

#4 - 2011-10-13 11:40 - Mr. Hudson

Patch set 4 of change I268e5f90ac815edadfe5b49cbc779697ea51a5f5 has been pushed to the review server.
It is available at http://review.typo3.org/5747

2015-08-03 1/2

http://review.typo3.org/5747
http://review.typo3.org/5747
http://review.typo3.org/5747
http://review.typo3.org/5747


#5 - 2011-10-13 14:51 - Mr. Hudson

Patch set 5 of change I268e5f90ac815edadfe5b49cbc779697ea51a5f5 has been pushed to the review server.
It is available at http://review.typo3.org/5747

#6 - 2011-10-14 00:07 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8175869916ad95c8bdd06498c8caaad5d6c1ceac.

#7 - 2011-10-20 01:37 - Karsten Dambekalns
- Target version changed from 1230 to 1.0.0
